let basUrl = 'https://mall.rongtongh.cn'

/**
 * 封封微信的的request
 */
export function request(params) {
  params.url = basUrl + params.url

  let token = wx.getStorageSync('token')
  // console.log('token请求拦截', token)

  return new Promise(function (resolve, reject) {
    if (!params.header) {
      params.header = {}
    }
    params.header['X-Bkmmall-Token'] = token
    wx.request({
      ...params,
      // header: {
      // 	'X-Bkmmall-Token': token
      // },
      success: function (res) {
        // console.log(res, 'res')
        if (res.statusCode == 200) {
          if (res.data.errno == 0) {
            resolve(res.data)
            return
          } else if (res.data.errno == 401) {
            // 未登录
            // 清除登录相关内容
            // wx.showToast({
            // 	title: '',
            // 	icon: 'none',
            // })
            try {
              wx.removeStorageSync('userInfo')
              wx.removeStorageSync('token')
            } catch (e) {
              // Do something when catch error
            }
            // 切换到登录页面
            wx.navigateTo({
              url: '/pages/login/login',
            })
            return
          } else if (res.data.errno >= 700) {
            wx.showToast({
              title: res.data.errmsg,
              icon: 'error',
            })
          } else {
            wx.showToast({
              title: '网络异常',
              icon: 'error',
            })
          }
        } else {
          reject(res.errMsg)
        }
      },
      fail: function (err) {
        reject(err)
      },
    })
  })
}
// module.exports = {
// 	request
// }
